_Ecore_Getopt Struct Reference
Ecore » Ecore Getopt

Structure that contains information on all command line options. More...

`#include <Ecore_Getopt.h>`

## Data Fields

const char * | prog
| to be used when ecore_app_args_get() fails
const char * | usage
| usage example, %prog is replaced by prog
const char * | version
| if exists, –version will work
const char * | copyright
| if exists, –copyright will work
const char * | license
| if exists, –license will work
const char * | description
| long description, possible multiline
Eina_Bool | strict: 1
| fail on errors
const Ecore_Getopt_Desc | descs []
| A table that contains the description of all the other options (NULL terminated).

## Detailed Description

Structure that contains information on all command line options.